<div *ngIf="auth.tokenValidate else denied">
  <h1>Stunden Verwaltung</h1>

  <div class="row">
    <div class="col-lg-3">
      <input class="form-control" type="date" id="schoolDay" [(ngModel)]="currentDate" #dateField="ngModel"
             (change)="onChange()">
    </div>
  </div>
  <br>

  <div class="alert alert-danger" *ngIf="submitRequest && errorString != null && errorString != '' else success">
    {{errorString}}
    <br>
  </div>

  <table class="table table-striped" *ngIf="lessons.length; else noLessons">
    <thead>
    <tr>
      <th>Stunden ID</th>
      <th>Klasse</th>
      <th>Fach</th>
      <th>Uhrzeit</th>
      <th>Aktion</th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let lesson of lessons">
      <td>{{lesson.ID}}</td>
      <td>{{lesson.KlassenID}}</td>
      <td>{{lesson.FaecherID}}</td>
      <td>{{lesson.VonUhrzeit.replace(':00.0000000', '')}} - {{lesson.BisUhrzeit.replace(':00.0000000', '')}}</td>
      <td>
      <span class="badge badge-warning" *ngIf="lesson.classTeacher || lesson.courseLeader else noPermission"
            (click)="router.navigate(['/presence/edit/' + lesson.ID])">Anwesenheiten/Entschuldigungen</span>
        <ng-template #noPermission>
        <span class="badge badge-warning"
              (click)="router.navigate(['/presence/edit/' + lesson.ID])">Anwesenheiten</span>
        </ng-template>
      </td>
    </tr>
    </tbody>
  </table>

  <ng-template #noLessons>
    <div class="alert alert-warning">
      Es scheint so, als hätten Sie an diesem Datum keinen Unterricht.
    </div>
  </ng-template>
</div>

<ng-template #denied>
  <app-access-denied></app-access-denied>
</ng-template>
